=== debian/changelog ===
afni (0.20110610~dfsg.1-1~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 22 Jun 2011 17:18:04 -0400

afni (0.20110610~dfsg.1-1) UNRELEASED; urgency=low

  [ Alex Waite ]
  * New upstream code. Updated CMake build system.

  [ Michael Hanke ]
  * Upstream introduced circular dependencies between the internal libraries,
    hence linking is now done with --allow-shlib-undefined.
  * Added get-orig-source target to debian/rules.

 -- Michael Hanke <mih@debian.org>  Wed, 22 Jun 2011 15:21:32 -0400

afni (0.20101222~dfsg.1-3) UNRELEASED; urgency=low

  * Added patch to let @FindAfniDsetPath also search AFNI_TTATLAS_DATASET -- a
    configuration setting that is supported by thd_ttatlas_query.c and used by
    the Debian setup. Thanks to Alex Waite for the bug report.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Jan 2011 12:46:45 -0500

afni (0.20101222~dfsg.1-2) UNRELEASED; urgency=low

  * Install @RetinoProc which has been left-out accidentally.
  * Bugfix of @RetinoProc to work with Debian's 3dSkullStrip.
  * Install AFNI's Matlab library.
  * Added 'r-base' as a suggested dependency.
  * Added 'python' as a recommended dependency.

 -- Michael Hanke <mih@debian.org>  Wed, 05 Jan 2011 13:55:16 -0500

afni (0.20101222~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code. Adds tools: niccc, 3dkmeans, 3dRankizer, 3dXYZcat. Adds
    scripts: @ElectroGrid, ExamineXmat, 1dRplot, @2dwarper.Allin, @help.AFNI.
    Adds plugin: plug_aslA3D3.
  * Updated CMake patch.
  * Merged some small portion of the shared libarary related patches with
    upstream.
  * Make afni_wrapper more robust. Thanks to Alex Waite for the patch.

 -- Michael Hanke <mih@debian.org>  Thu, 23 Dec 2010 11:34:20 -0500

afni (0.20101018~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code. Added 3dDTtoDWI tool.
  * Switch build-dependency from lesstif2 to openmotif. Because openmotif is
    non-free AFNI is now a 'contrib' package. This move was necessary,
    because AFNI doesn't play nicely with lesstif (segfaults). Upstream
    doesn't want to support lesstif, because it is currently unmaintained.
  * Added build-dependency x11proto-print-dev to ease backporting to Debian
    lenny.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 19 Oct 2010 15:25:53 -0400

afni (0.20101001~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * Update CMake patch to install new 1dSVAR.R.
  * Load AFNI atlases in addition to the AFNI_GLOBAL_SESSION.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 03 Oct 2010 10:51:03 -0400

afni (0.20100928~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * Update CMake patch to install lib_textdata.py that was missing before.
  * Added netpbm as a recommended package.
  * Added patch to set Debian-specific locations for faces, poems and atlases.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 29 Sep 2010 15:26:27 -0400

afni (0.20100917~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code, and updated CMAKE setup.
  * Switched to source package format 3.0 (quilt) and from CDBS to debhelper's
    "dh".

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 21 Sep 2010 11:51:13 -0400

afni (0.20100114~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code, and updated CMAKE setup.
  * Updated copyright file -- still incomplete.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 17 Jan 2010 13:27:49 -0500

afni (0.20091204~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * Major bugfix caused by multiple, but different, versions of f2c.h --
    causing int to be int32 or int64 for different parts of AFNI, at the same
    time.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 07 Dec 2009 20:47:56 -0500

afni (0.20091028~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * Add patch to allow AFNI to use ffmpeg instead of the stripped mpeg_encode.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 29 Oct 2009 14:29:18 -0400

afni (0.20091023~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code.
  * New CMake buildsystem based on an initial patch by Bernd Feige.
  * New afni-dev package with static libraries and header files for
    AFNI plugin development.
  * Add wrapper to start AFNI's without GUI without having to manually source
    the config file.
  * Add afni.desktop and afni.menu for desktop integration.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 27 Oct 2009 09:42:40 -0400

afni (0.20091009~dfsg.1-1) UNRELEASED; urgency=low

  * Initial release (Closes: #409849).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 18 Oct 2009 20:43:08 -0400
