=== debian/control ===
Source: afni
Section: contrib/science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: cmake (>= 2.6.4), debhelper (>= 7.0.50~), libnifti1-dev | libnifti-dev, libvolpack1-dev | libvolpack-dev, libglw1-mesa-dev | libglw-dev, libgts-dev, libjpeg62-dev | libjpeg-dev, libqhull-dev, libnetcdf-dev, freeglut3-dev | freeglut-dev, libgl1-mesa-dev | libgl-dev, libexpat1-dev | libexpat-dev, libf2c2-dev, zlib1g-dev, libmotif-dev, libxmu-dev, libxpm-dev, libgsl0-dev, libxi-dev, libgiftiio-dev, chrpath, x11proto-print-dev, matlab-support-dev
Standards-Version: 3.9.1
Homepage: http://afni.nimh.nih.gov
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/afni.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/afni.git
XS-DM-Upload-Allowed: yes


Package: afni
Architecture: any
Depends: neurodebian-popularity-contest, afni-common (= ${source:Version}), tcsh, gifsicle, libjpeg-progs, ${shlibs:Depends}, ${misc:Depends}
Recommends: nifti-bin, bzip2, ffmpeg, netpbm, python
Suggests: r-base
Description: toolkit for analyzing and visualizing functional MRI data
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 In addition to its own format AFNI understands the NIfTI format and is
 therefore easily usable in combination with FSL and Freesurfer.


Package: afni-common
Architecture: all
Depends: neurodebian-popularity-contest, python, tcsh, ${shlibs:Depends}, ${misc:Depends}
Description: miscellaneous scripts and data files for AFNI
 This package provides the required architecture independent parts of AFNI.


Package: afni-dev
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: header and static libraries for AFNI plugin development
 AFNI is an environment for processing and displaying functional MRI data.
 It provides a complete analysis toolchain, including 3D cortical surface
 models, and mapping of volumetric data (SUMA).
 .
 This package provides the necessary libraries and header files for AFNI
 plugin development.
