## afni 0.20121123~dfsg.1

=== debian/changelog ===
afni (0.20121123~dfsg.1-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 01 Dec 2012 02:36:36 -0500

afni (0.20121123~dfsg.1-1) neurodebian; urgency=low

  [ Michael Hanke, Yaroslav Halchenko ]
  * New upstream code. Updated CMake build system:
    - 3dedge library is now GPL-ed, thus not stripped
    - New scripts: meica.py (requires nibabel and MDP, now Recommended)
  * Built with OpenMP support (libgomp1 dependency added)
  * New patches: up_pragma_var_definition, up_glut_init,
    up_meica_tedana_upstream_mdp_api, up_meica_fixes, up_secure_sprintf
  * Enabled hardening (where applicable)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Nov 2012 14:59:31 -0500

afni (0.20120420~dfsg.1-1) UNRELEASED; urgency=low

  [ Alex Waite]
  * New upstream code; updated CMake. Adds 3dCountSpikes, 3dNwarpCalc,
    @Quiet_Talkers and @radial_correlate
  * Upstream: New R scripts: 1dRplot.R and 3dICC_REML.R
  * Upstream: New Python scripts: gen_group_command.py,
    gen_ss_review_scripts.py, make_pq_script.py, slow_surf_clustsim.py,
    uber_align_test.py, uber_proc.py, uber_skel.py, uber_subject.py
    and uber_ttest.py
  * Upstream: Major improvements to 3dSurfMask for mask creation and
    voxel distance computations.  See examples under 3dSurfMask -help.
  * Upstream: You can have multiple instances of programs talk to eachother.
  * Upstream: Generic Atlas Support and new atlases.  Cytoarchitectonic
    atlases from Zilles, Eickhoff updated to 1.8.  Three new probabilistic
    atlases from the Desai group.
  * Upstream: New AFNI tips system has better formatting and includes images.
  * Upstream: afni_proc.py now processes surface data.
  * Fixed missing qhull dependency for 3dSkullStrip

  [ Michael Hanke ]
  * Added build-dependency on xmhtml1-dev for "new" tooltip system.

  [ Alex Waite ]
  * New upstream code. Updated CMake build system.
  * Upstream: New I/O library for R uses AFNI's c library.
  * Upstream: Web-based access atlases available. Able to query web atlases
    from whereami and open webpages.
  * Upstream new programs: dicom_hinfo, apsearch, quick.alpha.vals.py, 3dLSS,
    @AfniEnv, @Atlasize, 1dBport, SurfExtrema, 3dinfill, 3dNormalityTest,
    3dTnorm
  * Upstream: Many bug fixes and overall code cleanup.
  * Now build and ship libSUMAGTS.so

 -- Alex Waite <alexqw85@gmail.com>  Wed, 25 Apr 2012 18:58:59 +0200
