=== debian/watch ===
version=3

opts="dversionmangle=s/\~dfsg\.\d+$//,uversionmangle=s/_//g;s/^/0./"  \
  http://afni.nimh.nih.gov/pub/dist/tgz/AFNI_ARCHIVE/AFNI_([\d_]+)_([\d]+)\.tgz
