## afni 0.20130815~dfsg.1

=== debian/changelog ===
afni (0.20130815~dfsg.1-1~nd11.04+1) natty; urgency=low

  * Backported for natty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 17 Aug 2013 17:33:30 -0400

afni (0.20130815~dfsg.1-1) neurodebian; urgency=low

  * Fresh upstream snapshot
  * debian/rules -- AFNI_BUILD_WITH_LESSTIF2:BOOL=OFF to actually build
    against Open Motif as we thought we were doing since 2010 ;)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 17 Aug 2013 09:39:38 -0400

afni (0.20130813~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code, mostly compilation fixes

 -- Alex Waite <Alexqw85@gmail.com>  Wed, 14 Aug 2013 10:46:43 +0200

afni (0.20130809~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream code; updated CMake. Adds 3dUnifize, 3dNwarpCat,
    3dLocalHistog, 3dNwarpAdjust, 3dNwarpFuncs, 3dTproject, @compute_gcor,
    3dLME, @move.to.series.dirs, @toMNI_Awarp, @toMNI_Qwarpar, @simulate_motion
    HalloSuma, afni_system_check.py, auto_warp.py, 3dROIMaker, 3dMatch,
    3dNetCorr, meicaX.py, optcom.py, optcom_surf.py, t2smap.py, tedanaX.py
  * Patches accepted upstream: up_secure_snprintf

 -- Alex Waite <Alexqw85@gmail.com>  Mon, 12 Aug 2013 18:23:22 +0200

afni (0.20121123~dfsg.1-2) neurodebian; urgency=low

  * Add afni-dbg package to provide debug symbols
  * debian/patches:
    - up_3rd_no_RefreshHTML_AtEvent -- to not even mention
      RefreshHTML from the patched XmHTML
    - up_condition_dset_unload -- avoid dereferencing NULL
    - cmake_sharedlibs:
      - link against lib3DEdge after libSUMA, since otherwise
        binaries do not get linked against it on Ubuntu systems
      - no need to manually extend list of libraries for
        SUMA_Map_SurfacetoSurface since it is added to the
        PROGRAMS and they are all linked against SUMA_LIBS
  * debian/rules:
    - since we --allow-shlib-undefined (because of the plugins)
      added a primitive check for few SUMA commands that they link
      against SUMA and 3DEdge libraries

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Jun 2013 11:08:09 -0400
