=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>,
            Alex Waite <Alexqw85@gmail.com>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 7.0.50~),
+               libmotif-dev,
                libnifti1-dev | libnifti-dev,
                libvolpack1-dev | libvolpack-dev,
                libglw1-mesa-dev | libglw-dev,
@@ -18,7 +19,6 @@
                libexpat1-dev | libexpat-dev,
                libf2c2-dev,
                zlib1g-dev,
-               libmotif-dev,
                libxmu-dev,
                libxpm-dev,
                libgsl0-dev,
@@ -48,8 +48,8 @@
  It provides a complete analysis toolchain, including 3D cortical surface
  models, and mapping of volumetric data (SUMA).
  .
- In addition to its own format AFNI understands the NIfTI format and is
- therefore easily usable in combination with FSL and FreeSurfer.
+ In addition to its own format, AFNI understands the NIfTI format and is
+ therefore integrates easily with FSL and FreeSurfer.
 
 
 Package: afni-common
@@ -75,3 +75,15 @@
  .
  This package provides the necessary libraries and header files for AFNI
  plugin development.
+
+
+Package: afni-dbg
+Architecture: any
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Description: debug symbols for AFNI
+ AFNI is an environment for processing and displaying functional MRI data.
+ It provides a complete analysis toolchain, including 3D cortical surface
+ models, and mapping of volumetric data (SUMA).
+ .
+ This package provides debug symbols which could be useful to troubleshoot
+ and report problems with AFNI.
