=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
     -DAFNI_BUILD_LOCAL_NIFTICLIBS:BOOL=OFF \
     -DAFNI_BUILD_LOCAL_GIFTI:BOOL=OFF \
     -DAFNI_BUILD_LOCAL_3DEDGE3:BOOL=ON \
-    -DAFNI_BUILD_WITH_LESSTIF2:BOOL=ON \
+    -DAFNI_BUILD_WITH_LESSTIF2:BOOL=OFF \
     -DAFNI_INSTALL_BIN_DIR:STRING=/lib/afni/bin \
     -DAFNI_INSTALL_LIB_DIR:STRING=/lib/afni/lib \
     -DAFNI_INSTALL_INCLUDE_DIR:STRING=/include/afni \
@@ -75,6 +75,15 @@
 	dh_auto_build --builddirectory=$(DEB_BUILDDIR)
 	dh_auto_build --builddirectory=$(DEB_BUILDDIR_STATIC)
 
+override_dh_auto_test:
+	: # if any come
+	dh_auto_test --builddirectory=$(DEB_BUILDDIR)
+	dh_auto_test --builddirectory=$(DEB_BUILDDIR_STATIC)
+	: # Just to verify that previous fixes on linking are inplace
+	set -e; for b in 3dSkullStrip SUMA_Map_SurfacetoSurface; do \
+		ldd $(DEB_BUILDDIR)/SUMA/$$b | grep '=>.*lib3DEdge.so'; \
+		ldd $(DEB_BUILDDIR)/SUMA/$$b | grep '=>.*libSUMA.so'; \
+	done
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=$(DEB_BUILDDIR)
@@ -100,6 +109,8 @@
 	# ensure proper permissions for the wrapper
 	chmod +x debian/afni_wrapper
 
+override_dh_strip:
+	dh_strip --dbg-package=afni-dbg
 
 # make orig tarball from repository content
 get-orig-source:
