## afni 0.20130830~dfsg.1

=== debian/changelog ===
afni (0.20130830~dfsg.1-1~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 30 Aug 2013 23:55:50 -0400

afni (0.20130830~dfsg.1-1) neurodebian; urgency=low

  * Fresh upstream snapshot: some enhancements and even more holidays to
    celebrate
  * debian/patches:
    - cmake_sharedlibs:
      - include retroicor.c functionality into libmri.so to be shared by
        tools and plugins -- resolves "Failed to open plugin
        /usr/lib/afni/plugins/plug_retroicor.so" upon AFNI startup.
    - cmake_tests:
      - basic test to verify that AFNI starts without reporting any failure

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 30 Aug 2013 18:04:14 -0400

afni (0.20130827~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream snapshot: bulk of fixes and enhancements
  * debian/control
    - add tcsh, libjpeg-progs to build-depends -- needed for testing
      @DO.examples
  * debian/patches/cmake_tests
    - tests/xvfb-driver -- link faces as pics under a temporary test directory
      so that @DO.examples has it available when afni is not yet installed

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Aug 2013 11:24:14 -0400

afni (0.20130821~dfsg.1-1) neurodebian; urgency=low

  * Fresh upstream snapshot
    - bulk of changes for graph datasets support
    - @DO.example could now be used in automated mode without interaction
      with users (-auto_test)
  * debian/control
    - recommend afni-atlases
  * debian/rules
    - explicitly include hardening.make and adjust LDFLAGS and CFLAGS
      instead of relying on "magic" of DEB_BUILD_HARDENING which seems to
      not play with ccache nicely all the times.  Also exclude -fPIE since
      conflicts with -fPIC when gcc < 4.8
  * debian/patches
    - cmake_sharedlibs:
      - do not bother with -D*_STAND_ALONE -- not used by upstream since a while
      - fix building of inspec, quickspec, CreateIcosahedron, MapIcosahedron
      - drop binaries not provided by upstream: SUMA_FreeSurfer,
        SUMA_SureFit, SUMA_Ply_Read, SUMA_Map_SurfacetoSurface, ShowCmap --
        their functionality is within the library and exposed by other binaries
      - add zcross.c functionality to lib3dedge
      - minor typos
    - cmake_tests:
      - initiated collecting rudimentary tests
    - deb_path_to_doexamples:
      - find .do examples on Debian installations among docs
      - exit with code 1 if those could not be found
    - debian_paths:
      - search for images in SUMA_LoadImageNIDOnel under reasonable for images
        locations instead of PATH.  Fixed 'funstuff' paths in demo*.niml.do files.
      - specify path to READMEs to be under /usr/share/doc/afni-common

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Aug 2013 22:05:21 -0400
