=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>,
            Alex Waite <Alexqw85@gmail.com>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 7.0.50~),
+               hardening-includes,
                libmotif-dev,
                libnifti1-dev | libnifti-dev,
                libvolpack1-dev | libvolpack-dev,
@@ -29,7 +30,9 @@
                x11proto-print-dev,
                matlab-support-dev,
                xmhtml1-dev | xmhtml-dev,
-               r-base-core
+               r-base-core,
+               xvfb, xauth, libgl1-mesa-dri,
+               tcsh, libjpeg-progs,
 Standards-Version: 3.9.4
 Homepage: http://afni.nimh.nih.gov
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/afni.git
@@ -54,7 +57,7 @@
 
 Package: afni-common
 Architecture: all
-Depends: neurodebian-popularity-contest, python, tcsh,
+Depends: neurodebian-popularity-contest, python, tcsh, afni-atlases,
          ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-mdp, python-nibabel
 Description: miscellaneous scripts and data files for AFNI
