=== debian/changelog ===
afni (0.20140612~dfsg.1-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 16 Jun 2014 17:27:03 -0400

afni (0.20140612~dfsg.1-1) neurodebian; urgency=low

  * New upstream code.
    - New programs: afni_open, 3dConformist, 3dTORTOISEtoHere, 3dEigsToDT,
      3dDTtoNoisyDWI
    - 3dProbTrackID is officially deprecated (but still shipped)
    - New scripts: @afni.run.me, 3dRprogDemo
    - New Python scripts gen_ss_review_table.py
    - 9 new faces and 52 new quotes
    - run afni_history for a more detailed account of upstream changes
  * Updated CMake build system.
  * debian/patches
    - up_char_cast was successfully upstreamed
    - up_meica_fixes was a problematic patch to update. Might not be 100%.

 -- Alex Waite <Alexqw85@gmail.com>  Thu, 05 Jun 2014 13:48:03 +0200

afni (0.20140227~dfsg.1-1) neurodebian; urgency=low

  * New upstream code. Updated CMake build system.

 -- Alex Waite <Alexqw85@gmail.com>  Fri, 28 Feb 2014 13:20:33 +0200

afni (0.20131204~dfsg.1-2) neurodebian; urgency=low

  * Prune any @update.afni.* script (e.g. @update.afni.binaries) from
    installation so it doesn't interfer with packaged installation

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Dec 2013 16:48:02 -0500

afni (0.20131204~dfsg.1-1) neurodebian; urgency=low

  [ Andreas Tille ]
  * Perspective team upload (for now no upload to Debian proper)
  * debian/upstream: Add citation information from Debian Science task
    neuroscience-cognitive

  [ Yaroslav Halchenko ]
  * Fresh upstream snapshot
  * debian/patches
    - updated for new locations
    - up_char_cast (forwared upstream) to avoid FTBFS with
      -Werror=format-security
    - cmake_tests - ignore freshly introduced errors/failures to determine
      window position (irrelevant for this stage of testing)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Dec 2013 16:48:01 -0500

afni (0.20130912~dfsg.1-3) neurodebian; urgency=low

  * debian/patches
    - cmake_sharedlibs - enable gifti support (-DGIFTI) and link libmri
      against it (Closes Nick#D902704B-139A-450D-91DC-A7AFBF78FC5A@gmail.com)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Nov 2013 20:58:28 -0500

afni (0.20130912~dfsg.1-2) neurodebian; urgency=low

  * debian/rules
    - disable -D_FORTIFY_SOURCE=2 until upstream resolves code with undefined
      sprintf behavior
      (http://afni.nimh.nih.gov/afni/community/board/read.php?1,142574,142574#msg-142574)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Sep 2013 22:42:55 -0400

afni (0.20130912~dfsg.1-1) neurodebian; urgency=low

  * Fresh upstream snapshot
  * debian/patches
    - deb_path_to_doexamples - removed (upstream now)
    - cmake_sharedlibs - add model_conv_cosine4
    - debian_paths - refreshed
    - cmake_tests - SUMA should not spit our errors now, thus
      make do.examples test more stringent

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Sep 2013 10:04:55 -0400

afni (0.20130903~dfsg.1-1) neurodebian; urgency=low

  * Fresh upstream snapshot
  * debian/patches
    - cmake_tests
  	  - switch to have 'up to' specified # of "Error" and "Failed to "
        messages.  Should "fix" build on i686 13.04 build where no SUMA error
        gets reported upon exit

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Sep 2013 08:29:02 -0400

afni (0.20130830~dfsg.1-3) neurodebian; urgency=low

  * debian/control
    - afni-atlases should be in Recommends not Depends
  * debian/patches
    - cmake_sharedlibs
      - MOTIF library (libXm) must be linked before other X libraries (Xt
        in particular).  Therefore placing it first among
        TARGET_LINK_LIBRARIES and disabling --as-needed for this linkage while
        (re)enabling it right after

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Sep 2013 09:16:08 -0400

afni (0.20130830~dfsg.1-2) UNRELEASED; urgency=low

  * debian/patches:
    - cmake_sharedlibs
      - add SUMA_gts_insert.c to libSUMAGTS and link SurfMesh against it
      - absorb librickr into libmri -- upstream dropped separate librickr
        as of 0.20080129~dfsg.1.
      - absorb libafni_warp into libmri -- upstream does "the same" and
        if split -- there is a circular dependency between afni_warp and
        mri forbidding robust building/linking
      - link lib3DEdge against m, and segtools and tracktools against mri
      - make SEGTOOLS_LIBS list only segtools
      - enforce --no-as-needed ld flag while building segtools due to libgsl
        not linking against libgslcblas thus failing to build with --as-needed
        which is defauilt on Ubuntus
    - cmake_tests
      - disable 3dedge test requiring data (waiting on upstream)
      - xvfb-driver -- allow to specify # of errors expected, so we
        could already test @DO.examples which should have 1 error
        on exit
  * debian/rules:
    - remove explicit -Wl,--allow-shlib-undefined which was introduced
      awaiting for a fix to #624156 long RIP.
    - add -Wl,--no-undefined for exe and shared linker flags
    - do not ignore tests failures

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 03 Sep 2013 13:12:23 -0400
