=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                matlab-support-dev,
                xmhtml1-dev | xmhtml-dev,
                r-base-core,
-               xvfb, xauth, libgl1-mesa-dri,
+               xvfb, xauth, libgl1-mesa-dri, mesa-utils,
                tcsh, libjpeg-progs,
 Standards-Version: 3.9.4
 Homepage: http://afni.nimh.nih.gov
@@ -57,9 +57,10 @@
 
 Package: afni-common
 Architecture: all
-Depends: neurodebian-popularity-contest, python, tcsh, afni-atlases,
+Depends: neurodebian-popularity-contest, python, tcsh,
          ${shlibs:Depends}, ${misc:Depends}
-Recommends: python-mdp, python-nibabel
+Recommends: python-mdp, python-nibabel,
+         afni-atlases,
 Description: miscellaneous scripts and data files for AFNI
  AFNI is an environment for processing and displaying functional MRI data.
  It provides a complete analysis toolchain, including 3D cortical surface
