=== rickr/Makefile ===
--- 
+++ 
@@ -19,6 +19,10 @@
 	$(RM) $@
 	$(CC) -o Dimon Dimon.o realtime.o $(LFLAGS) -L.. $(EXTRA_LIBS_2) -lmri -lf2c -lXt $(LGIFTI) -lz -lm
 
+Dimon1: Dimon1.o realtime1.o
+	$(RM) $@
+	$(CC) -o Dimon1 Dimon1.o realtime1.o $(LFLAGS) -L.. $(EXTRA_LIBS_2) -lmri -lf2c -lXt $(LGIFTI) -lz -lm
+
 serial_helper: serial_helper.o
 	$(RM) $@
 	$(CC) -o serial_helper serial_helper.o -L.. -lm $(EXTRA_LIBS_2)
@@ -30,9 +34,13 @@
 	$(RM) $@
 	$(CC) $(WARN_OPT)  -c Imon.c -I.. $(IFLAGS)
 
-Dimon.o: Dimon.c Imon.h
+Dimon.o: Dimon.c Dimon.h
 	$(RM) $@
 	$(CC) $(WARN_OPT)  -c Dimon.c -I.. $(IFLAGS)
+
+Dimon1.o: Dimon1.c Imon.h
+	$(RM) $@
+	$(CC) $(WARN_OPT)  -c Dimon1.c -I.. $(IFLAGS)
 
 # no longer needed, but let's make sure...
 dimon_afni.o: dimon_afni.c ../mri_image.h
@@ -50,6 +58,11 @@
 realtime.o: realtime.c realtime.h
 	$(RM) $@
 	$(CC) $(WARN_OPT)  -c realtime.c -I.. $(IFLAGS)
+
+realtime1.o: realtime1.c realtime.h
+	$(RM) $@
+	$(CC) $(WARN_OPT)  -c realtime1.c -I.. $(IFLAGS)
+
 # -------------- end local Imon objects --------------------------------
 
 .c.o:
