=== debian/changelog ===
afni (0.20140908~dfsg.1-1~nd13.04+1) raring; urgency=low

  * Backported for raring.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 08 Sep 2014 19:43:59 -0400

afni (0.20140908~dfsg.1-1) neurodebian; urgency=medium

  * New upstream code
  * debian/patches
    - removed up_meica_fixes from the series (conflicts, and anyways previous
      version was not working)
    - debian_paths -- updated for now a function get_env_atlas_path allowing
      for paths to AFNI atlases being overriden via AFNI_ATLAS_PATH, and
      otherwise using default path on Debian systems (/usr/share/afni/atlases)
    - cmake_sharedlibs, ffmpeg_support, up_3dNetCorrFix,
      up_condition_dset_unload -- refreshed, with some conflicts resolved
    - cmake_sharedlibs
      - updated for changes in upstream build infrastructure
      - removed meicaX.py

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Sep 2014 11:59:31 -0400
